// CELLRANG.CPP

/*****************************************************************
These source files represent significant changes to the original
WorldCom MFC library.  Therefore, these source files may not be
copied except by permission of the author, Joe Willcoxson.  These
source files may not be included in source or compiled form as any
part of a commercial distribution except by permission of the
author.  These files may be used freely for internal corporate use
such as software produced by an IS departement.  These files may
also may be used freely by students for educational purposes.

No warranty or guarrantee of fitness can be made to these files.
*****************************************************************/

#include "stdafx.h"
#include "cellrang.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

/////////////////////////////////////////////////////////////////////////////
// CCellRange

// CCellRange is a utility class to manage selections of grid cells.  It is owned
// by a CBaseGrid.

int CCellRange::operator==(const CCellRange& rhs)
{
 	return ((m_nMinRow == rhs.m_nMinRow) && (m_nMinCol == rhs.m_nMinCol) &&
 		(m_nMaxRow == rhs.m_nMaxRow) && (m_nMaxCol == rhs.m_nMaxCol));
}


int CCellRange::operator!=(const CCellRange& rhs)
{
 	return !operator==(rhs);
}

CCellRange CCellRange::Union(const CCellRange& rhs) const
{
	return CCellRange(min(m_nMinRow,rhs.m_nMinRow), min(m_nMinCol, rhs.m_nMinCol),
				max(m_nMaxRow, rhs.m_nMaxRow), max(m_nMaxCol, rhs.m_nMaxCol));
}

// Copyright (c) 1997 by Joe Willcoxson and WorldCom.  All rights reserved.
// E-mail:  chinajoe@aol.com
// URL:  http://users.aol.com/chinajoe
// For great long distance service see http://www.wcom.com

